Skip to content

resetPassword ​

Overview ​

Sets a new password using the pk and token from a password reset link.

Signature ​

resetPassword(payload)

Parameters ​

NameTypeRequiredDescription
payloadobjectyesThe request body.

payload Properties ​

NameTypeRequiredDefaultDescription
passwordstringThe new password.
password_confirmstringThe new password again, for confirmation.
pkstringThe encoded user id from the reset link.
tokenstringThe reset token from the reset link.

Returns ​

Promise

The decoded response data; undefined on success.

Source ​

client/lib/stores/storeUser.js:671